/***************************************************************************/
/*                                                                         */
/*    Guillermo Simbeck Tablada                                            */
/*    programa : Cap4p1.C                                                  */
/*    Programa que nos permite:                                            */
/*     -Determinar la tensin crtica de flameo normal y de diseo         */
/*      a partir de la relacin NBI = 0.961 TCF  (Capitulo 4  pagina 92)   */
/*     -Determinar la distancia minima de fase a tierra apartir de         */
/*      la relacin TCF = K * d   ( Captulo 4 pginas 92 y 93 )           */
/*     -Determinar la distancia mnima entre fases                         */
/*                                                                         */
/***************************************************************************/

#include <stdio.h> ;
#include <math.h> ;
main ( )  {

   float NBI, TCF, FDA, FHA, DFT, altura ;
   int i=1 ;
   clrscr ( ) ;

/************************  TCF normal y de diseo  *************************/

   printf("\nPara obtener el valor de la tensin crtica de flameo (TCF)  ");
   printf("\na partir del nivel bsico de impulso (NBI) al nivel del mar  ");
   printf("\nse necesita el NBI el cual est en funcin de la tensin     ");
   printf("\nnominal y aparece en la pgina 89.                           ");

   while ( i==1 ) {

     printf("\n\n    NBI  [ KV ]  =  "                                     );
     scanf ("%f",&NBI) ;
     TCF = NBI/0.961 ;
     printf("\nEl valor de la TCF al nivel del mar es:                    ");
     printf("\n\n    TCF = %f [ KV ]",TCF                                  );
     printf("\n\nPara diseo se utiliza la TCF corregida por altitud y por");
     printf("\nhumedad. Estos datos aparecen en las pginas 90 y 91.      ");
     printf("\n\nNota 1: En condiciones normales de temperatura, presin y");
     printf("\n        humedad los dos factores son iguales a 1.          ");
     printf("\n\nNota 2: El factor de densidad del aire a la altura de la ");
     printf("\n        ciudad de Mxico (2300 m.s.n.m.) que corresponde a ");
     printf("\n        una presin baromtrica media de 58 cm de columna  ");
     printf("\n        de mercurio y una temperatura promedio de 25C es  ");
     printf("\n        igual a  0.763                                     ");
     printf("\n\nFactor de densidad del aire =  "                          );
     scanf ("%f",&FDA) ;
     printf("\nFactor de humedad atmosfrica =  "                          );
     scanf ("%f",&FHA) ;
     TCF = TCF*FHA/FDA ;
     printf("\nEl valor de la TCF de diseo es:                           ");
     printf("\n\n   TCF = %f [ KV ]",TCF                                   );

/**********************  distancia de fase a tierra  ***********************/

     printf("\n\n A que altura se localiza la subestacin ? (metros sobre");
     printf("\nel nivel del mar) :  "                                      );
     scanf ("%f",&altura) ;
     printf("\nLa distancia de fase a tierra de acuerdo a las frmulas    ");
     printf("\nque aparecen en las pginas 92 y 93 del captulo 4 es:     ");

     if ( altura <= 1000 ) {
       DFT = TCF/550 ;
       printf("\n\nDistancia de fase a tierra = %f [ m ]",DFT              );
     }
     else {
       DFT = TCF/550*(1+(0.0125*((altura-1000)/100))) ;
       printf("\n\nDistancia de fase a tierra = %f [ m ]",DFT              );
     }

/************************** Distancia entre fases **************************/

     printf("\n\nLa distancia dielctrica entre fases de acuerdo a lo que ");
     printf("\nse indica en la pgina 95 captulo 4, deber ser 15% mayor ");
     printf("\na la distancia entre fase y tierra.                        ");
     printf("\nPara buses flexibles es necesario tomar en cuenta los des- ");
     printf("\nplazamientos debidos al viento y a los sismos, siendo la   ");
     printf("\ndistancia entre fases entre un 180% y un 200% mayor.       ");
     printf("\n\nDistancia entre fases:  %f [ m ]       15% mayor",1.15*DFT);
     printf("\n                        %f [ m ]      180% mayor",1.8*DFT   );
     printf("\n                        %f [ m ]      200% mayor",2*DFT     );

     printf("\n\nElija cualesquiera de las opciones.                      ");
     printf("\n\n    1) Introducir los datos nuevamente                   ");
     printf("\n    2) Finalizar el programa                               ");
     printf("\n\nOpcin  :  "                                              );
     scanf ("%d",&i                                                        );
   }
}


