/***************************************************************************/
/*                                                                         */
/*    Guillermo Simbeck Tablada                                            */
/*    programa : Cap5p1.C                                                  */
/*    Programa que nos permite:                                            */
/*     -Determinar los potenciales de toque y de paso ( captulo 5 pgi-   */
/*      nas 113 a 116 ).                                                   */
/*     -Determinar la resistividad del terreno mediante el empleo de los   */
/*      diferentes metodos  ( Catulo 5  pginas 122 a 127 ).             */
/*     -Disear una red de tierra.                                         */
/*                                                                         */
/***************************************************************************/

#include <stdio.h> ;
#include <math.h> ;
main ( )  {

   float rs,tiempo,pt,pp,a,b,R,k,compara,pi,EPR,Icc,rt,lc,p ;
   int i,j,l,cont,cuenta ;
   clrscr ( ) ;

/*************************** Cuadro de opciones  ***************************/

   i = 1 ;
   pi = 3.14159265359 ;
   while ( i!=4 ) {
     printf("\nElija cualquiera de las opciones :                         ");
     printf("\n\n    1) Clculo de los potenciales de toque y de paso.    ");
     printf("\n    2) Clculo de la resistividad del terreno.             ");
     printf("\n    3) Clculo de la red de tierra.                        ");
     printf("\n    4) Finalizar el programa.                              ");
     printf("\n\n    Opcin : "                                            );
     scanf("%d",&i                                                         );

/***************************************************************************/

     if ( i==1 ) {
       clrscr ( ) ;
       printf("\nClculo de los potenciales de toque y de paso :          ");
       printf("\n\nPara determinar stos valores se utilizan las frmulas ");
       printf("\ndel captulo 5 pginas 113 a 116.                        ");
       printf("\n\n"                                                       );
       printf("Dame el valor de la resistividad del suelo [ohms-metro]: "  );
       scanf("%f",&rs                                                      );
       printf("\nDame el valor de la duracin de la falla [segundos]: "    );
       scanf("%f",&tiempo                                                  );
       pt = ( 116 + 0.17 * rs ) / sqrt(tiempo) ;
       printf("\nPotencial de toque ( 50 Kg ) = %f [volts]",pt             );
       pt = ( 157 + 0.24 * rs ) / sqrt(tiempo) ;
       printf("\nPotencial de toque ( 70 kg ) = %f [volts]",pt             );
       pp = ( 116 + 0.7 * rs ) / sqrt (tiempo) ;
       printf("\n\nPotencial de paso ( 50 Kg ) = %f [volts]",pp            );
       pp = ( 157 + rs ) / sqrt(tiempo) ;
       printf("\nPotencial de paso ( 70 kg ) = %f [volts]",pp              );
       printf("\n\nEs importante destacar que para el clculo de la red de");
       printf("\ntierras, de los cuatro valores el que se considera es el ");
       printf("\ndel potencial de toque ( 50 kg ) .                       ");
       printf("\n"                                                         );
     }

     else if ( i==2 ) {
       clrscr ( ) ;
       printf("\nElija que metodo desea utilizar                          ");
       printf("\n\n    1) Mtodo de Wenner                                ");
       printf("\n    2) Mtodo del electrodo central                      ");
       printf("\n    3) Mtodo de Lee                                     ");
       printf("\n\n      Mtodo seleccionado :  "                          );
       scanf("%d",&j                                                       );
       clrscr ( ) ;
       l=j ;
       if ( l==1) {
	 printf("\n\n"                                                     );
	 printf("El METODO DE WENNER, se explica en las pginas 122, 123 y");
	 printf(" 124."                                                    );
       }
       else if ( l==2 ) {
	 printf("\n\nEl METODO DEL ELECTRODO CENTRAL, se explica en la pg");
	 printf("ina 124."                                                 );
       }
       else if ( l==3 )
	 printf("\n\nEl METODO DE LEE, se explica en la pgina 126.       ");
       if ( l!=2 ) {
	 printf("\n\nDame el valor de la distancia entre los              ");
	 printf("\nelectrodos [metros] : "                                              );
	 scanf("%f",&a                                                     );
	 printf("\nDame el valor de la profundidad de penetracin         ");
	 printf("\nde los lectrodos [metros] : "                           );
	 scanf("%f",&b                                                     );
       }
       if ( l==2 ) {
	 printf("\n\nDame el valor de la distancia entre los electrodos a ");
	 printf("\ny b [metros] : "                                        );
	 scanf("%f",&a                                                     );
	 printf("\nDame el valor de la distancia entre los electrodos b y ");
	 printf("\nc [metros] : "                                          );
	 scanf("%f",&b                                                     );
       }
       printf("\nPara determinar la resistividad, hace falta el valor de  ");
       printf("\nla resistencia que se obtiene con el Megger [ohms].      ");
       printf("\nPuede ser uno o varios valores, en cuyo caso se obtiene  ");
       printf("\nel promedio.                                             ");
       printf("\n\nDame el nmero de valores : "                           );
       scanf("%d",&cont                                                    );
       printf("\n"                                                         );
       k=0 ;
       for ( cuenta=1; cuenta <= cont; cuenta++) {
	 printf(" Dame el valor de la lectura %d : ",cuenta                );
	 scanf("%f",&R                                                     );
	 R = R+k ;
	 k = R ;
       }
       R = R/cont ;
       if ( j==1 ) {
	 compara = a/b ;
	 if ( compara>=20 )
	   rs = 2*pi*a*R ;
	 else
	   rs=4*pi*a*R/(1+((2*a)/sqrt((a*a)+(4*b*b)))-(a/sqrt((a*a)+(b*b))));
       }
       else if ( j==2 )
	 rs = (2*pi*a*(a+b)*R)/b ;
       else if ( j==3 )
	 rs = 4*pi*a*R ;
       printf("\n\nLa resistividad del terreno es igual a = "              );
       printf("%f [ohms-metro]",rs                                         );
       printf("\n                                                         ");
     }

     else if ( i==3) {
       clrscr ( ) ;
       printf("\nCALCULO DE LA UNA RED\n                                  ");
       printf("\nEl procedimiento a seguir para el diseo de una red de   ");
       printf("\ntierra se explica en las pginas 136 a la 140, y se com- ");
       printf("\nplementa con un ejemplo en las pginas 143 a la 146.\n   ");
       printf("\nComo primer paso calcularemos el valor de la resistencia ");
       printf("\nque requiere la red.\n                                   ");
       printf("\nDame el valor de la elevacin aceptable del potencial de ");
       printf("\nla red de tierra. EPR [ KV ] : "                          );
       scanf("%f",&EPR                                                     );
       printf("\nDame el valor de la corriente de falla (Icc) [ KA ] :  "  );
       scanf("%f",&Icc                                                     );
       R = EPR/Icc ;
       printf("\nRESISTENCIA DE LA RED = %f [ ohms ]",R                    );
       printf("\n                                                         ");
       printf("\nComo segundo paso calcularemos la longitud del conductor.");
       printf("\nPara sto se requiere el valor del tiempo en que se libra");
       printf("\nla falla, la resistividad del terreno, la resistividad de");
       printf("\nla superficie y el valor de la constante K de la malla que");
       printf("\nse indica en la pgina 137.                              ");
       printf("\n\n   Nota: La resistividad del terreno es diferente a la ");
       printf("\n         resistividad de la superficie, por ejemplo un\n" );
       printf("         terreno con una tarima de madera puede tener una\n");
       printf("         resistividad del terreno igual a 100 [ohms-metro] ");
       printf("\n         y una resistividad de la superficie igual a 5000");
       printf("\n         [ohms-metro].                                   ");
       printf("\n\nResistividad del terreno [ohms-metro] : "               );
       scanf("%f",&rt                                                      );
       printf("\nResistividad de la superficie [ohms-metro] : "            );
       scanf("%f",&rs                                                      );
       printf("\nTiempo de duracin de la falla [segundos] : "             );
       scanf("%f",&tiempo                                                  );
       printf("\nK de la malla : "                                         );
       scanf("%f",&k                                                       );
       pt = (116+.17*rs)/sqrt(tiempo) ;
       lc=k*rt*Icc*1000/pt ;
       printf("\nLONGITUD DEL CONDUCTOR = %f [ metros ]",lc                );
       printf("\n                                                         ");
       printf("\nEl rea ideal para la red de tierras se especifica a con-");
       printf("\ntinuacin en base a los datos proporcionados con la fina-");
       printf("\nlidad de apreciar si se puede lograr el diseo deseado.  ");
       p=1.6*rt*lc/((R*lc)-(0.6*rt)) ;
       printf("\n\nPara un permetro igual a %f [ metros ] se requie-",p   );
       printf("\nre un rea cuadrada de %f metros por lado.",p/4           );
       printf("\n\n"                                                       );
       printf("La red se puede armar utilizando %f segmentos",ceil(4*lc/p) );
       printf("\nde conductor calibre 4/0 AWG.                            ");
       printf("\n\nSe requieren adems %f varillas",ceil(0.361575*rt)      );
       printf("\n");
     }
   }
}


