/***************************************************************************/
/*                                                                         */
/*    Guillermo Simbeck Tablada                                            */
/*    programa : Cap6p1.C                                                  */
/*    Programa que nos permite:                                            */
/*     -Determinar los esfuerzos a los que se ven sometidas las barras     */
/*      colectoras y que se clasifican en :                                */
/*       a) Esfuerzos debidos a cargas estticas ( Captulo 6 pginas 159  */
/*          y 160.                                                         */
/*       b) Esfuerzos debidos a cargas dinmicas ( Captulo 6 de la pgina */
/*          160 a la 164.                                                  */
/*                                                                         */
/***************************************************************************/

#include <stdio.h> ;
#include <math.h> ;
main ( )  {

   float pu,ct,cl,me,mi,flecha,k,Icc,d,Fcc,v,ev,D,p,Ra,lb,et ;
   int i,j,mat ;
   clrscr ( ) ;

/*************************** Cuadro de opciones  ***************************/

   i = 1 ;
   while ( i!=6 ) {
     printf("\n\nElija cualquiera de las opciones :                       ");
     printf("\n\n    1) Clculo de la flecha.                             ");
     printf("\n    2) Clculo del esfuerzo por cortocircuito.             ");
     printf("\n    3) Clculo del esfuerzo debido al viento.              ");
     printf("\n    4) Clculo de la longitud del claro.                   ");
     printf("\n    5) Clculo del esfuerzo debido a temblor.              ");
     printf("\n    6) Finalizar el programa.                              ");
     printf("\n\n    Opcin : "                                            );
     scanf("%d",&i                                                         );

/***************************************************************************/

     if ( i==1 ) {
       clrscr ( ) ;
       printf("\nCALCULO DE LA FLECHA                                     ");
       printf("\n\nEn las pginas 159 y 160 se explica lo referente al    ");
       printf("\ncalculo de la flecha.                                    ");
       printf("\n\nEl valor de la deflexin mxima del tubo se encontrar" );
       printf(" entre los                                                 ");
       printf("\nsiguientes casos extremos:\n                             ");
       printf("\n   a) Una viga libremente apoyada con carga uniformemente");
       printf("\n      repartida donde la deflexin mxima es L/150.      ");
       printf("\n   b) Una viga continua con carga uniformemente repartida");
       printf("\n      donde la deflexin mxima ser L/200.              ");
       printf("\n\n   L = claro entre los apoyos                          ");
       printf("\n\nDe que material va a ser la barra :                    ");
       printf("\n\n    1) De cobre.                                       ");
       printf("\n    2) De aluminio.                                      ");
       printf("\n    3) De acero.                                         ");
       printf("\n\nMaterial ( 1,2 o 3 ) : "                                );
       scanf("%d",&mat                                                     );
       if ( mat==1 )
	  me=16925778;
       else if ( mat==2 )
	  me=9956340;
       else if ( mat==3 )
	  me=29869020;
       printf("\nTanto el peso unitario de la barra, como el momento de   ");
       printf("\ninercia se pueden encontrar en las tablas de las pginas ");
       printf("\n150, 151 y 152.                                          ");
       printf("\n\nPeso unitario [kg/m] : "                                );
       scanf("%f",&pu                                                      );
       pu = .056*pu ;
       printf("\nMomento de inercia [ cm^4 ] : "                           );
       scanf("%f",&mi                                                      );
       mi = mi*0.0240250961;
       printf("\nClaro [metros] : "                                        );
       scanf("%f",&cl                                                      );
       cl = 39.370078*cl ;
       ct = pu*cl ;
       flecha = 5*ct*pow(cl,3)/(384*me*mi) ;
       printf("\nEL VALOR DE LA FLECHA MAXIMA ES = %f [pulgadas]",flecha   );
       flecha = 2.54*flecha ;
       printf("\n                                  %f [centimetros]",flecha);
     }

     else if ( i==2 ) {
       clrscr ( ) ;
       printf("\nCALCULO DEL ESFUERZO POR CORTO CIRCUITO                  ");
       printf("\n\nEn las pginas 161 y 162 se explica lo referente al    ");
       printf("\nclculo del esfuerzo por corto circuito.                 ");
       printf("\n\nFactor de correccin ( para tubos k=1 ) : "             );
       scanf("%f",&k                                                       );
       printf("\n        Icc = KVAcc / 3^(1/3)*KV                         ");
       printf("\n    [ para subestaciones trifsicas ]                    ");
       printf("\n\nValor instantaneo de corriente (Icc) [amperes] : "      );
       scanf("%f",&Icc                                                     );
       printf("\nLongitud del claro [metros] : "                           );
       scanf("%f",&cl                                                      );
       cl = 39.37*cl ;
       printf("\nDistancia entre los ejes de conductores de fases         ");
       printf("\ndiferentes [metros] : "                                   );
       scanf("%f",&d                                                       );
       d = 39.37*d ;
       Fcc=k*27.4*pow(10,-7)*pow(Icc,2)*cl/(12*d);
       printf("\nEL ESFUERZO POR CORTO CIRCUITO ES DE = %f [libras]",Fcc   );
       Fcc=.45359237*Fcc ;
       printf("\n                                       %f [kg]",Fcc       );
     }

     else if ( i==3) {
       clrscr ( ) ;
       printf("\nCALCULO DEL ESFUERZO DEBIDO AL VIENTO                    ");
       printf("\n\nEn las pginas 163 y 164 se explica lo referente al    ");
       printf("\nclculo del esfuerzo debido al viento.                   ");
       printf("\n\nSelecciona el tipo de barra que deseas :               ");
       printf("\n\n   1) Cilndrica ( tubo ).                             ");
       printf("\n   2) Cable.                                             ");
       printf("\n   3) Superficie plana ( Solera ).                       ");
       printf("\n\n   Seleccin ( 1,2 o 3 ) : "                            );
       scanf("%d",&j                                                       );
       printf("\nVelocidad del viento [metros/segundo] : "                 );
       scanf("%f",&v                                                       );
       if ( j==1 )
	 p=0.075*pow(v,2);
       else if ( j==2 )
	 p=0.05*pow(v,2);
       else if ( j==3 )
	 p=0.125*pow(v,2);
       printf("\nLongitud del claro [metros] : "                           );
       scanf("%f",&cl                                                      );
       printf("\nDimetro exterior del tubo                               ");
       printf("\n\n   Nota: El dimetro exterior se puede obtener de las  ");
       printf("\n         tablas que aparecen en las pginas 151 y 152.   ");
       printf("\n\nDimetro exterior del tubo [centmetros] : "            );
       scanf("%f",&D                                                       );
       D = D/100 ;
       ev = p*cl*D ;
       printf("\nLA FUERZA DEBIDA AL VIENTO ES DE = %f [kg]",ev            );
       ev = 2.204622622*ev ;
       printf("\n                                   %f [lb]",ev            );
     }

     else if ( i==4 ) {
       clrscr ( ) ;
       printf("\nCALCULO DE LA LONGITUD DEL CLARO                         ");
       printf("\n\nEn la pgina 164 se encuentra la frmula utilizada para");
       printf("\nel clculo de la longitud del claro.                     ");
       printf("\n\nCorriente mxima de cortocircuito (Icc) [amperes] : "   );
       scanf("%f",&Icc                                                     );
       printf("\nDistancia entre conductores [metros] : "                  );
       scanf("%f",&d                                                       );
       d = 39.37007874*d ;
       printf("\nDimetro exterior del tubo.                              ");
       printf("\n\n   Nota: El dimetro exterior se puede obtener de las  ");
       printf("\n         tablas que aparecen en las pginas 151 y 152.   ");
       printf("\n\nDimetro exterior del tubo [centmetros] : "            );
       scanf("%f",&D                                                       );
       D = 0.39370078*D ;
       printf("\nVelocidad del viento [metros/segundo] : "                 );
       scanf("%f",&v                                                       );
       v = 3.280839895*v ;
       printf("\nResistencia del aislador (cantiliver)                    ");
       printf("\n\n   Nota: En la pgina 154 se proporciona informacin   ");
       printf("\n         acerca de los aisladores.                       ");
       printf("\n\nResistencia del aislador [libras]: "                    );
       scanf("%f",&Ra                                                      );
       cl=Ra/(1.25*((27.4*pow(10,-7)*Icc*Icc/d)+(.000119*v*v*D))) ;
       printf("\nLONGITUD DEL CLARO = %f [pies]",cl                        );
       printf("\n                     %f [metros]",0.3048*cl               );
     }

     else if ( i==5 ) {
       clrscr ( ) ;
       printf("\nCALCULO DEL ESFUERZO DEBIDO A TEMBLOR                    ");
       printf("\n\nEn la pgina 165 se explica lo referente al esfuerzo   ");
       printf("\ndebido a temblor.                                        ");
       printf("\n\nDame el peso unitario de la barra (bus).               ");
       printf("\n\n  Nota: El peso en [kg/m] aparece en las tablas que se ");
       printf("\n        encuentran en las pginas 150, 151 y 152.        ");
       printf("\n\nPeso unitario [kg/m] : "                                );
       scanf("%f",&pu                                                      );
       pu=0.67196897514*pu ;
       printf("\nLongitud de la barra [metros] : "                         );
       scanf("%f",&lb                                                      );
       lb = 3.280839895*lb ;
       printf("\nEl esfuerzo debido a temblor vara dependiendo de la zona");
       printf("\npor lo que se presentan los 3 casos.                     ");
       printf("\n\nESFUERZO DEBIDO A TEMBLOR =                            ");
       et = .35*pu*lb ;
       printf("\n\n     %f [libras]",et                                    );
       et = .45359237*et ;
       printf("   %f [kg] (Zona lacustre)",et                              );
       et = .3*pu*lb ;
       printf("\n     %f [libras]",et                                      );
       et = .45359237*et ;
       printf("   %f [kg] (Zona de transicin)",et                         );
       et = .25*pu*lb;
       printf("\n     %f [libras]",et                                      );
       et = .45359237*et ;
       printf("   %f [kg] (Zona rgida)",et                                );
     }

   }
}


